// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "BaseWeaponClass.h"
#include "PistolClass.generated.h"

UCLASS()
class ENDLESSVENDETTA_API APistolClass : public ABaseWeaponClass
{
	GENERATED_BODY()

public:
	// Sets default values for this actor's properties
	APistolClass();

protected:
	// Called when the game starts or when spawned
	virtual void BeginPlay() override;

public:
	// Called every frame
	virtual void Tick(float DeltaTime) override;

	virtual void Fire() override;
	virtual void ClickDetectionTimer() override;
	virtual void CancelFire() override;
};
